//
//  MyPoofAnimator.h
//  Poof101
//
//  Created by Dave Jewell on 19/05/2009.
//  Copyright 2009 Cocoa Secrets. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NSToolbarPoofAnimator.h"

// The idea here is to subclass Apple's NSToolbarPoofAnimator class, 
// so as to allow custom animations to be used.

@interface MyPoofAnimator : NSToolbarPoofAnimator
{
	BOOL _reversed;
}

- (BOOL) reversed;
- (void) setReversed: (BOOL) reversed;
- (void) replaceImagesWithBaseName: (NSString *) baseName;

@end
